Subject: bug#67535: closed (Re: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux])

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 11 Nov 2024 04:52:02 +0000

Your bug report

#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67535: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67535
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Does anyone use i686-linux? [was Re: bug#67535: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux]
From: Leo Famulari <[email-masked]>
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>, [email-masked]
Date: Sun, 10 Nov 2024 23:51:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Nov 10, 2024 at 08:56:33PM +0900, Maxim Cournoyer wrote:
> I was about to write this; thanks for be6g faster :-).  I believe the
> unpacking should now be fine even for i686, Leo?

Yes, it's working now! Fantastic!

Subject: ci.guix.gnu.org 'Cannot allocate memory' while building for i686-linux
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 29 Nov 2023 15:55:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I see that ci.guix.gnu.org's builders seem to run out of memory while
building kernel headers for i686-linux:

------
xz: (stdin): Cannot allocate memory
/gnu/store/ns71xxkb3fzr37934bim9l8xiv68kc7w-tar-1.34/bin/tar: /gnu/store/536ifp75wv8i1kb1k0szv7zd57ygpg0n-linux-libre-6.5.13-guix.tar.xz: Wrote only 2048 of 10240 bytes
/gnu/store/ns71xxkb3fzr37934bim9l8xiv68kc7w-tar-1.34/bin/tar: Child returned status 1
/gnu/store/ns71xxkb3fzr37934bim9l8xiv68kc7w-tar-1.34/bin/tar: Error is not recoverable: exiting now
------

https://ci.guix.gnu.org/build/2736161/details